## indi-gpsnmea 0.2+20220129131520

=== debian/changelog ===
indi-gpsnmea (0.2+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 13:56:12 +0000

indi-gpsnmea (0.2-2) unstable; urgency=medium

  * upload source
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Dec 2021 17:45:23 +0100

indi-gpsnmea (0.2-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 17 Dec 2021 12:45:23 +0000

## indi-gpsnmea 0.2+20220611125246

=== debian/changelog ===
indi-gpsnmea (0.2+20220611125246-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 12:52:56 +0000

## indi-gpsnmea 0.2+20221223114018

=== CMakeLists.txt ===
########### NexStar Evolution INDI driver ##############
PROJECT(indi_gpsnmea C CXX)
cmake_minimum_required(VERSION 3.0)

include(GNUInstallDirs)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")

set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/indi/")
set(INDI_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/indi")

find_package(INDI REQUIRED)
find_package(Nova REQUIRED)
find_package(ZLIB REQUIRED)
find_package(Threads REQUIRED)

set(GPSNMEA_VERSION_MAJOR 0)
set(GPSNMEA_VERSION_MINOR 2)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_gpsnmea.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_gpsnmea.xml )

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${NOVA_INCLUDE_DIR})

include(CMakeCommon)

add_executable(indi_gpsnmea gpsnmea_driver.cpp minmea.c)
target_link_libraries(indi_gpsnmea ${INDI_LIBRARIES} ${NOVA_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
install(TARGETS indi_gpsnmea RUNTIME DESTINATION bin )

install( FILES  ${CMAKE_CURRENT_BINARY_DIR}/indi_gpsnmea.xml DESTINATION ${INDI_DATA_DIR})

=== debian/changelog ===
indi-gpsnmea (0.2+20221223114018-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113023)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:30:32 +0200

indi-gpsnmea (0.2+20221223114018-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 0.2

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Dec 2022 11:41:32 +0000

=== debian/control ===
Source: indi-gpsnmea
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, libnova-dev
	, zlib1g-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-gpsnmea
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-gpsnmea.git

Package: indi-gpsnmea
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for GPS NMEA streams
 This package contains an INDI driver for GPS NMEA streams.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
